/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebFilteringExpressionsTreeOrFilteringExpressionDescription } from "./WebFilteringExpressionsTreeOrFilteringExpressionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebExpressionTreeDescription = /*@__PURE__*/ (() => {
    class WebExpressionTreeDescription extends WebFilteringExpressionsTreeOrFilteringExpressionDescription {
        get_type() {
            return "WebExpressionTree";
        }
        constructor() {
            super();
            this.i = null;
            this.q = null;
            this.p = null;
            this.o = null;
            this.j = null;
        }
        get filteringOperands() {
            return this.i;
        }
        set filteringOperands(a) {
            this.i = a;
            this.g("FilteringOperands");
        }
        get operator() {
            return this.q;
        }
        set operator(a) {
            this.q = a;
            this.g("Operator");
        }
        get fieldName() {
            return this.p;
        }
        set fieldName(a) {
            this.p = a;
            this.g("FieldName");
        }
        get entity() {
            return this.o;
        }
        set entity(a) {
            this.o = a;
            this.g("Entity");
        }
        get returnFields() {
            return this.j;
        }
        set returnFields(a) {
            this.j = a;
            this.g("ReturnFields");
        }
    }
    WebExpressionTreeDescription.$t = /*@__PURE__*/ markType(WebExpressionTreeDescription, 'WebExpressionTreeDescription', WebFilteringExpressionsTreeOrFilteringExpressionDescription.$);
    WebExpressionTreeDescription.__marshalByValue = true;
    WebExpressionTreeDescription.__marshalByValueAlias = "ExpressionTree";
    return WebExpressionTreeDescription;
})();
